ata_pack_xfermask
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_pack_xfermask — Pack pio, mwdma and udma masks into xfer_mask

## Synopsis

`unsigned int ata_pack_xfermask (` | unsigned int | pio_mask,
| unsigned int | mwdma_mask,
| unsigned int | udma_mask`)`;

## Arguments

`pio_mask`

  pio_mask

`mwdma_mask`

  mwdma_mask

`udma_mask`

  udma_mask

## Description

Pack `pio_mask`, `mwdma_mask` and `udma_mask` into a single unsigned int xfer_mask.

## LOCKING

None.

## RETURNS

Packed xfer_mask.

Prev | Up | Next
ata_build_rw_tf | Home | ata_unpack_xfermask